PamCut: EvRateS11VsCutoffHistoAction Class Reference

# EvRateS11VsCutoffHistoAction Class Reference

An action that fills an event rate on S11 Vs. Stoermer cutoff 2D histogram. More...

`#include <EvRateS11VsCutoffHistoAction.h>`

Inheritance diagram for EvRateS11VsCutoffHistoAction:

List of all members.

## Public Member Functions
| EvRateS11VsCutoffHistoAction (const char *actionName, TString outFileName)
| Constructor.
| ~EvRateS11VsCutoffHistoAction ()
| Destructor.
void | OnGood (PamLevel2 *event)
| Fills histogram with the selected event.
void | Finalize ()
| Writes the histogram to the output file.
## Private Attributes
TString | _outFileName
TH2F | _histo

## Detailed Description

An action that fills an event rate on S11 Vs. Stoermer cutoff 2D histogram.

The event rate on S11 is the mean of the event rates on each PMT of S11.

Definition at line 19 of file EvRateS11VsCutoffHistoAction.h.

## Constructor & Destructor Documentation

EvRateS11VsCutoffHistoAction::EvRateS11VsCutoffHistoAction | ( | const char * | actionName,
|  | TString | outFileName |
| ) |  |  |

Constructor.

Parameters:

  | actionName | The action's name.
  | outFileName | The output file name.

Definition at line 12 of file EvRateS11VsCutoffHistoAction.cpp.

References _histo.

EvRateS11VsCutoffHistoAction::~EvRateS11VsCutoffHistoAction | ( |  | ) | `[inline]`

Destructor.

Definition at line 30 of file EvRateS11VsCutoffHistoAction.h.

## Member Function Documentation

void EvRateS11VsCutoffHistoAction::Finalize | ( |  | ) | `[virtual]`

Writes the histogram to the output file.

Implements CollectionAction.

Definition at line 31 of file EvRateS11VsCutoffHistoAction.cpp.

References _histo, and _outFileName.

void EvRateS11VsCutoffHistoAction::OnGood | ( | PamLevel2 * | event | ) | `[virtual]`

Fills histogram with the selected event.

Parameters:

  | event | The selected event.

Implements CollectionAction.

Definition at line 22 of file EvRateS11VsCutoffHistoAction.cpp.

References _histo.

## Member Data Documentation

TH2F EvRateS11VsCutoffHistoAction::_histo`[private]`

Definition at line 45 of file EvRateS11VsCutoffHistoAction.h.

Referenced by EvRateS11VsCutoffHistoAction(), Finalize(), and OnGood().

TString EvRateS11VsCutoffHistoAction::_outFileName`[private]`

Definition at line 44 of file EvRateS11VsCutoffHistoAction.h.

Referenced by Finalize().

The documentation for this class was generated from the following files:

- CollectionActions/EvRateS11VsCutoffHistoAction/EvRateS11VsCutoffHistoAction.h
- CollectionActions/EvRateS11VsCutoffHistoAction/EvRateS11VsCutoffHistoAction.cpp